<?php

$PATH = getenv("PATH");

putenv("PATH=$PATH:/opt/nodejs/bin");

?>

<!DOCTYPE html>
<html>

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>錄影EZ</title>
</head>

<body>
    <div id="container">

        <!--<header>
            <?php //include('menu_header.php'); 
            ?>
        </header>-->


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>攝影角度管理</p>
                </div>
                <div class="mt-3 pull-left">
                    <table id="listTable" class="dataTable mb-table" style="width: 500px;">
                        <thead>
                            <tr>
                                <th>編號</th>
                                <th>角度狀態</th>
                                <th>功能</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php						

                            include('mysql_connect.php');

                            $result = $mysqli->query("SELECT * FROM camera_angle");

                            while ($rows = $result->fetch_assoc()) {

                                echo '<tr>
                                <td>' . $rows['id'] . '</td>';

								
                                if ($rows['angle_status'] == '1') {



                                            echo '<form method="POST" action="process_modify_angle_name.php">';
                                            echo '<td><input type="text" name="angle_name" value="' . $rows["angle_name"] . '" placeholder="尚未儲存名稱"><input type="hidden" name="number" value="' . $rows['id'] . '"></td>';
                                            echo '<td><input type="submit" class="btn btn-secondary" value="修改名稱"> <button type="button" class="btn btn-danger" onclick="removeAngle(' . $rows['id'] . ')">清除</button></td>';
                                            echo '</form>';


                                }else{

                                        echo '<td>未定義</td>';
                                        echo '<td><button class="btn btn-success" onclick="setAngle(' . $rows['id'] . ')">設置</button></td>';
				}
                                echo '</tr>';
                            }

                            $mysqli->close();

                            ?>
                        </tbody>
                    </table>
                    <br>
                    <div>請搭配遙控器轉至特定角度，在按下設置按鈕。</div>
                    <br>
                    <div style="color: red;">* 頁面異動後，據點導播需重新進入才會刷新資料。</div>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2022 Zsystem</p>
        </footer>
    </div>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

    <!-- data tables -->
    <script src="assets/datatables/datatables.min.js"></script>
    <script>
        const setAngle = (number) => {

            let angle_name = prompt('請輸入編號' + number + '的角度名稱');

            if (angle_name) {

                let form_data = new FormData();
                form_data.append('number', number);
                form_data.append('angle_name', angle_name);

                let uploader = new XMLHttpRequest();

                uploader.addEventListener('readystatechange', () => {

                    if (uploader.readyState == XMLHttpRequest.DONE) {

                        console.log(uploader.responseText);
                        if (uploader.responseText.includes('ok')) {

                            alert('設置成功！');
                            location.reload();


                        } else {

                            alert('設定失敗!');

                        }



                    }
                });
                uploader.open("POST", "setPreset.php", true);
                uploader.send(form_data);

            }


        };

        const removeAngle = (number) => {

            let remove = confirm('確定刪除編號' + number + '角度嗎?');

            if (remove) {

                let form_data = new FormData();
                form_data.append('number', number);


                let uploader = new XMLHttpRequest();

                uploader.addEventListener('readystatechange', () => {

                    if (uploader.readyState == XMLHttpRequest.DONE) {

                        if (uploader.responseText.includes('ok')) {

                            alert('清除成功！');
                            location.reload();


                        } else {

                            alert('設定失敗!');

                        }
                    }
                });

                uploader.open("POST", "removePreset.php", true);
                uploader.send(form_data);

            }
        };
    </script>

</body>

</html>
