<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>線上直錄播系統</title>
</head>


<style>

</style>

<body>
    <div id="container">

        <header>
            <style>
    .navbar-toggler {
        border: none;
        padding: .75rem 0;
    }

    .nav-link {
        margin: .75rem .5rem;
    }

    .dropdown-item {
        padding: 1rem;
    }

    @media (min-width: 992px) {
        .dropdown-menu {
            padding: 0rem;
        }

        .navbar-expand-lg .navbar-collapse {
            justify-content: flex-end;
        }
    }

    @media (max-width: 991.98px) {
        .dropdown-menu {
            border: none;
        }

        .nav-item {
            border-bottom: 1px dashed #e2e2e2;
        }
    }
</style>

<nav class="navbar navbar-expand-lg navbar-light">
    <div class="container-fluid" style="width: 95%;">
	<a class="navbar-brand" href="#">錄影EZ</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div>
            </div>
        </div>
    </div>
</nav>

        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>選擇裝置來源</p>
                </div>
		<div class="bb-dashed pb-3">

		<div class="mb-3 row justify-content-center">
                        <label for="selectDevice1" class="col-auto col-form-label text-end">麥克風來源</label>
                        <div class="col-6">
                            <input list="microphone_list" id="microphone_source" style="width: 100%;" placeholder="尚未選擇">
                            
                        </div>
                    </div>

                    <div class="mb-3 row justify-content-center">
                        <label for="selectDevice1" class="col-auto col-form-label text-end">畫面1來源</label>
                        <div class="col-6">
                            <input list="camera1_list" id="camera1_source" style="width: 100%;" placeholder="尚未選擇">
                        </div>
                    </div>
                    <div class="mb-3 row justify-content-center">
                        <label  id="camera2_label_show" for="selectDevice2" class="col-auto col-form-label text-end" style="display: none;">畫面2來源</label>
                        <div  id="camera2_div_show" class="col-6" style="display: none;">
                            <input list="camera2_list" id="camera2_source" style="width: 100%;" placeholder="尚未選擇">
                        </div>
                    </div>
                    <div class="mb-3 row justify-content-center">
                        <label for="selectDesktop" class="col-auto col-form-label text-end">&nbsp;&nbsp;桌面來源</label>
                        <div class="col-6">
                            <select id="desktop_source" class="form-select" aria-label="Default select">
                                <option value="none" selected disabled>尚未選擇</option>
                                <option value="all">整個桌面</option>
                    
                            </select>
                        </div>
                    </div>
                </div>
                <div class="d-flex justify-content-center mt-3">
                    <!--<button class="btn-normal btn-cancel m-2">取消</button>-->
                    <button id="setting_button" class="btn-normal btn-brown m-2">確認選擇</button>
                </div>
            </div>

        </section>

        <footer>
            <p>Copyright © 2022</p>
        </footer>
    </div>
<datalist id="microphone_list"></datalist>
<datalist id="camera1_list"></datalist>
<datalist id="camera2_list"></datalist>

<script>

var camera1_list = undefined;
var camera2_list = undefined;
//var camera1_source = undefined;
//var camera2_source = undefined;
var desktop_source = undefined;
var microphone_list = undefined;

window.addEventListener('load', ()=>{

camera1_list = document.getElementById('camera1_list');
camera2_list = document.getElementById('camera2_list');
microphone_list = document.getElementById('microphone_list');
//camera1_source = document.getElementById('camera1_source');
//camera2_source = document.getElementById('camera2_source');
desktop_source = document.getElementById('desktop_source');

init_hardware();


});


const init_hardware = () =>{



/*
let init_option2 = document.createElement('option');

init_option2.text = '尚未選擇';
init_option2.value = 'none';
init_option2.disabled = true;
init_option2.selected = true;
camera2_source.appendChild(init_option2);
*/

navigator.mediaDevices.enumerateDevices().then(deviceInfos => {

for (let i = 0; i !== deviceInfos.length; ++i) {

        let deviceInfo = deviceInfos[i];

        let option = document.createElement('option');
        option.value = deviceInfo.deviceId;
        if (deviceInfo.kind === 'audioinput') {
                option.text = deviceInfo.label || `攝影機 ${camera_list.length + 1}`;
                option.value = deviceInfo.label;
                microphone_list.appendChild(option);

        }

}

for (let i = 0; i !== deviceInfos.length; ++i) {

        let deviceInfo = deviceInfos[i];

        let option = document.createElement('option');
        option.value = deviceInfo.deviceId;
        if (deviceInfo.kind === 'videoinput') {
                option.text = deviceInfo.label || `攝影機 ${camera_list.length + 1}`;
                option.value = deviceInfo.label;
                camera1_list.appendChild(option);

        }

}

for (let i = 0; i !== deviceInfos.length; ++i) {

        let deviceInfo = deviceInfos[i];

        let option = document.createElement('option');
        option.value = deviceInfo.deviceId;
        if (deviceInfo.kind === 'videoinput') {
                option.text = deviceInfo.label || `攝影機 ${camera_list.length + 1}`;
                option.value = deviceInfo.label;
                camera2_list.appendChild(option);

        }

}

/*
for (let i = 0; i !== deviceInfos.length; ++i) {

        let deviceInfo = deviceInfos[i];

        let option = document.createElement('option');
        option.value = deviceInfo.deviceId;
        if (deviceInfo.kind === 'videoinput') {
                option.text = deviceInfo.label || `攝影機 ${camera_list.length + 1}`;
                option.value = deviceInfo.label;
                camera2_source.appendChild(option);

        }

}*/

}).catch(error => console.log(error));

};

</script>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Boostrap5 -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8" crossorigin="anonymous"></script>

</body>

</html>
