<?php

session_start();

if (empty($_SESSION['name'])) {

    header("location:login.php");
    exit;
}


?>
<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


  <!-- Bootstrap5 CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

  <!-- icons -->
  <link rel="stylesheet" href="assets/css/icons.css">

  <!-- Google icon -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

  <!-- datatable -->
  <link rel="stylesheet" href="assets/datatables/datatables.min.css">

  <!-- Font Awesome -->
  <script src="https://use.fontawesome.com/ff127234b9.js"></script>

  <link rel="stylesheet" href="assets/css/reset.css">
  <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

  <title>線上直錄播系統</title>
</head>


<style>



</style>

<body>
  <div id="container">

    <header>
      <?php include('menu_header.php'); ?>
    </header>


    <!-- 內容 start -->
    <section class="main">
      <div class="content">
        <div class="page-title">
          <p>手動導播</p>
        </div>
        <div class="row">
          <div class="director-left col-md-3">
            <div id="accordion">

              <div class="card">
                <!-- card head -->
                <a class="card-link" data-toggle="collapse" href="#screen">
                  <div class="card-header">畫面切換</div>
                </a>
                <!-- card body -->
                <div id="screen" class="collapse">
                  <div class="card-body">

                    <li class="screen-type">
                      <div class="d-flex t-1" data-bs-toggle="collapse" data-bs-target="#single-screen" aria-expanded="false">
                        <span class="icon-single-screen"></span>單畫面
                      </div>
                      <div class="collapse" id="single-screen">
                        <a href="#">全景畫面</a>
                        <a href="#">板書畫面</a>
                        <a href="#">電腦畫面</a>
                        <a href="#">學生畫面</a>
                      </div>
                    </li>
                    <li class="screen-type">
                      <div class="d-flex t-1" data-bs-toggle="collapse" data-bs-target="#double-screen" aria-expanded="false">
                        <span class="icon-double-screen"></span>雙畫面
                      </div>
                      <div class="collapse" id="double-screen">
                        <a href="#">全景、板書</a>
                        <a href="#">全景、電腦</a>
                        <a href="#">板書、電腦</a>
                      </div>
                    </li>
                    <li class="screen-type">
                      <div class="d-flex t-1" data-bs-toggle="collapse" data-bs-target="#triple-screen" aria-expanded="false">
                        <span class="icon-triple-screen"></span>三畫面
                      </div>
                      <div class="collapse" id="triple-screen">
                        <a href="#">全景為主</a>
                        <a href="#">板書為主</a>
                        <a href="#">電腦為主</a>
                      </div>
                    </li>

                  </div>
                </div>
              </div>

              <div class="card">
                <!-- card head -->
                <a class="card-link" data-toggle="collapse" href="#courseInfoUpload">
                  <div class="card-header">課程資訊設定</div>
                </a>
                <!-- card body -->
                <div id="courseInfoUpload" class="collapse">
                  <div class="card-body">
                  <div class="form-floating mb-3">
                            <input type="account" class="form-control">
                            <label for="floatingInput">講師名稱</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="account" class="form-control">
                            <label for="floatingInput">課程名稱</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="account" class="form-control">
                            <label for="floatingInput">錄影時間</label>
                        </div>
                        <div class="d-flex justify-content-center">
                        <button class="btn-w100 btn-brown">將資訊更新至版面</button>
                      </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="director-right col-md-9">
            <div class="video-box">
	    <video style="width: 100%; height: auto;" poster="assets/img/offline.png" controls></video>
            </div>
            <div class="mt-3 d-flex justify-content-md-end justify-content-center ctrl-btn">
              <button class="btn-normal btn-turquoise">
                <i class="fa fa-play-circle-o" aria-hidden="true"></i>
                開始直播</button>
              <button class="btn-normal btn-orange">
                <i class="fa fa-video-camera" aria-hidden="true"></i>
                開始錄影</button>
              <button class="btn-normal btn-red">
                <i class="fa fa-stop-circle-o" aria-hidden="true"></i>
                停止結束</button>
            </div>
          </div>
        </div>
      </div>
    </section>

    <footer>
      <p>Copyright © 2021 範例</p>
    </footer>
  </div>




  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

  <!-- Boostrap5 -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8" crossorigin="anonymous"></script>

</body>

</html>
