<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>Zsystem</title>



<style>
.director-info-box{
    border: 1px solid #C4C4C4; 
    border-radius: 1rem;
    padding:1rem .5rem;
}
.director-info-box-wall{
    width: 121px; 
    border-right: 
    1px solid #C4C4C4;
}
.item-box{
    padding: .25rem;
}
.item-box-dashed{
    padding:.25rem; 
    border-bottom: 1px dashed #C4C4C4;
}
.item-title{
    font-size: 12px; 
    color:#7A7A7A;
    margin:8px 0;
}
.item-content-lg{
    font-size: 16px;
    margin:8px 0;
}
.iten-content{
    font-size:16px; 
    color:#000000;
    margin:8px 0;
}
.tips-brown{
    font-size: 12px;
    margin-left: .5rem;
    color: #725e54;

}
.modal-title{
    font-size: 1.25rem; 
    font-weight:bold;
}

</style>

<script src="assets/js/jsmpeg.min.js"></script>
<script src="assets/js/process.js?=<?php echo time(); ?>"></script>

</head>

<body>
    <div id="container">

        <header>
            <?php include('menu_header.php'); ?>
        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>手動導播</p>
                </div>
                <div class="row">
                    <div class="director-left col">
			<!--<div class="video-box mb-3">-->
			<canvas id="preview_video" style="width: 100%; height: auto;"></canvas>
                        <!--</div>-->
                    </div>
                    <div class="director-right" style="width: 300px;">
                       			<div class="row mb-3 director-info-box">
                            <div class="d-flex flex-column director-info-box-wall align-self-center">
                                <button id="start_live_button" class="btn-normal btn-turquoise">
                                    <i class="fa fa-play-circle-o" aria-hidden="true"></i>
                                    開始直播</button>
                                <button class="btn-normal btn-orange" id="start_record_button">
                                    <i class="fa fa-video-camera" aria-hidden="true"></i>
                                    開始錄影</button>
                            </div>
                            <div class="col align-self-center">
                                <div class="d-flex flex-column">
                                    <div class="item-box-dashed">
                                        <p class="item-title">直播狀態</p>
                                        <p class="item-content-lg" id="live_status_text">尚未開始直播</p>
                                    </div>
                                    <div class="item-box">
                                        <p class="item-title">錄影狀態</p>
                                        <p class="item-content-lg" id="record_status_text">尚未開始錄影</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 畫面狀態 -->
                        <div class="row mb-3 director-info-box">
                            <div class="d-flex flex-column director-info-box-wall align-self-center">
								<button id="create_ptz_button" class="btn-normal btn-turquoise">
                                    <i class="fa fa-refresh" aria-hidden="true"></i>
                                    鏡頭轉向</button>

                                <button id="changeScreen_button" class="btn-normal btn-orange">
                                    <i class="fa fa-window-restore" aria-hidden="true"></i>
                                    畫面切換</button>
                            </div>
                            <div class="col align-self-center">
                                <div class="d-flex flex-column">
                                    <div class="item-box">
                                        <p class="item-title">畫面狀態</p>
                                        <p class="item-content-lg" id="screenStatus">畫面1</p>
                                    </div>
                                </div>
                            </div>
                            <p class="tips-brown">點選按鈕可進行畫面切換</p>
                        </div>
                        <!-- 課程資訊 -->
                        <div class="row mb-3 director-info-box">
                            <div class="d-flex flex-column">
                                <div class="item-box-dashed">
                                    <p class="item-title">講師姓名</p>
                                    <p class="item-content"><span id="teacher_name_show"></span></p>
                                </div>
                                <div class="item-box-dashed">
                                    <p class="item-title">課程名稱</p>
                                    <p class="item-content"><span id="course_name_show"></span></p>
                                </div>
                                <!--<div class="item-box-dashed">
                                    <p class="item-title">課程錄影時間</p>
                                    <p class="item-content">N/A</p>
                                </div>-->
                                <button class="btn-normal btn-brown align-self-center mt-3" data-bs-toggle="modal" data-bs-target="#editCourseInfo">
                                    <i class="fa fa-pen-o" aria-hidden="true"></i>
                                    課程資訊設定</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2022 Zsystem</p>
        </footer>
    </div>

    <!-- modal -->
    <div class="modal fade" id="editCourseInfo" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">課程資訊設定</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="close"></button>
                </div>
                <div class="modal-body">
                    <p class="mb-3">請填寫以下課程資訊</p>
                    <div class="form-floating mb-3">
                        <input type="text" id="teacher_name" class="form-control">
                        <label>講師姓名</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" id="course_name" class="form-control">
                        <label>課程名稱</label>
                    </div>
                    <!--<div class="form-floating mb-3">
                        <input type="number" id="record_time"min="1" value="1" class="form-control">
                        <label>課程錄影時間</label>
                    </div>-->
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-normal btn-cancel" data-bs-dismiss="modal">取消返回</button>
                    <button type="button" id="course_setting" class="btn-normal btn-brown" data-bs-dismiss="modal">編輯完成</button>
                </div>
            </div>
        </div>
    </div>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Boostrap5 -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8" crossorigin="anonymous"></script>

</body>

</html>
