const onvif = require('node-onvif');

let device = new onvif.OnvifDevice({
  xaddr: 'http://172.0.0.3:81/onvif/device_service',
  user : 'admin',
  pass : 'admin'
});

device.init().then(() => {
  let ptz = device.services.ptz;
  if(!ptz) {
    throw new Error('Your ONVIF network camera does not support the PTZ service.');
  }
  let profile = device.getCurrentProfile();

  let params = {
      'ProfileToken': profile['token'],
     };

  return ptz.getPresets(params);

 }).then((result) => {
  console.log(JSON.stringify(result.data, null, '  '));
}).catch((error) => {
  console.error(error);
}); 
