<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>線上直錄播系統</title>
</head>


<style>
.weekend .card-header{
    background-color: #48a9a6;
}
.seshedule-box{
    padding: .5rem;  
    border: 1px solid #c9c0c0; 
    border-radius:.25rem;
    margin-bottom: .75rem;
}
.seshedule-box:hover{
    background-color: #fdf3ec;
}
.seshedule-box:last-child{
    margin-bottom: 0;
}
.item-group{
    margin-bottom: 1rem;
}
.item-group:last-child{
    margin-bottom: 0rem;
}
.class-item{
    display: block;
    font-size: .75rem;
    margin-bottom: .25rem;
    color: #00b8b8;
}
.item-con{
    display: block;
    font-size: 1rem;
}

</style>

<body>
    <div id="container">

        <header>
            <?php include('menu_header.php'); ?>
        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>預約錄影 - 週循環排程</p>
                </div>
                <button class="btn-normal btn-brown mb-3" data-bs-toggle="modal" data-bs-target="#addWeeklyModal">新增週循環排程</button>
                <div class="row">
                    <div class="col-md">
                        <div class="card weekend">
                            <div class="card-header text-center">日</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="card sechedule">
                            <div class="card-header text-center">一</div>
                            <div class="card-body">
                                <div class="seshedule-box">
                                    <div class="item-group">
                                        <span class="class-item">名稱</span>
                                        <span class="item-con">每週例會</span>
                                    </div>
                                    <div class="item-group">
                                        <span span class="class-item">時間</span>
                                        <span class="item-con">08:50-10:00</span>
                                    </div>
                                    <div class="item-group">
                                        <span span class="class-item">攝影機</span>
                                        <span class="item-con">601教室</span>
                                    </div>
                                </div>
                                <div class="seshedule-box">
                                    <div class="item-group">
                                        <span class="class-item">名稱</span>
                                        <span class="item-con">每週例會</span>
                                    </div>
                                    <div class="item-group">
                                        <span span class="class-item">時間</span>
                                        <span class="item-con">08:50-10:00</span>
                                    </div>
                                    <div class="item-group">
                                        <span span class="class-item">攝影機</span>
                                        <span class="item-con">601教室</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="card sechedule">
                            <div class="card-header text-center">二</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="card sechedule">
                            <div class="card-header text-center">三</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="card sechedule">
                            <div class="card-header text-center">四</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="card sechedule">
                            <div class="card-header text-center">五</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                    <div class="col-md weekend">
                        <div class="card sechedule">
                            <div class="card-header text-center">六</div>
                            <div class="card-body"></div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2021 範例</p>
        </footer>
    </div>

    <!-- modal -->
    <div class="modal fade" id="addWeeklyModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">新增週循環排程</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="close"></button>
                </div>
                <div class="modal-body">
                    <p class="mb-3">請上傳影片並填寫以下課程資訊</p>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control">
                        <label>課程名稱</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control">
                        <label>上課時間（ex.09:00-10:30）</label>
                    </div>
                    <div class="form-floating mb-3">
                        <select class="form-select" id="floatingSelect" aria-label="Floating label select">
                            <option selected>上課教室</option>
                            <option value="1">601教室</option>
                            <option value="2">704教室</option>
                        </select>
                        <label for="classSelect">上課教室</label>
                    </div>
                    <div class="form-floating">
                        <select class="form-select" id="floatingSelect" aria-label="Floating label select example">
                            <option selected>請選擇星期</option>
                            <option value="1">一</option>
                            <option value="2">二</option>
                            <option value="3">三</option>
                            <option value="4">四</option>
                            <option value="5">五</option>
                            <option value="6">六</option>
                            <option value="7">日</option>
                        </select>
                        <label for="classSelect">請選擇星期</label>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-normal btn-cancel" data-bs-dismiss="modal">取消返回</button>
                    <button type="button" class="btn-normal btn-brown">送出新增</button>
                </div>
            </div>
        </div>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.min.js" integrity="sha384-lpyLfhYuitXl2zRZ5Bn2fqnhNAKOAaM/0Kr9laMspuaMiZfGmfwRNFh8HlMy49eQ" crossorigin="anonymous"></script>


</body>

</html>