<?php

$HD_total = (disk_total_space('/var/www/zrs/video/') / 1024 / 1024 / 1024);
$HD_free = (disk_free_space('/var/www/zrs/video/') / 1024 / 1024 / 1024);
$HD_used = $HD_total - $HD_free;
$display_data = $HD_used / $HD_total;
$display = number_format($display_data * 100, 0);

$hdd_used = $display;


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>錄影EZ</title>
</head>


<style>

</style>

<body>
    <div id="container">

        <!--<header>
            <?php //include('menu_header.php'); ?>
        </header>-->


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>影片管理 - 影片列表</p>
                </div>
				
				<div class="col-xs-2 col-xs-offset-1 col-sm-4 col-sm-offset-0 pull-left ">
                    <?php if ($hdd_used < 80) : ?>
                        <i class="fa fa-hdd-o fa-2x text-success" aria-hidden="true"><?php echo $hdd_used ?>%</i>
                    <?php elseif ($hdd_used >= 80 and $hdd_used <= 89) : ?>
                        <i class="fa fa-hdd-o fa-2x text-warning" aria-hidden="true"><?php echo $hdd_used ?>%</i>
                    <?php elseif ($hdd_used >= 90) : ?>
                        <i class="fa fa-hdd-o fa-2x text-danger" aria-hidden="true"><?php echo $hdd_used ?>%</i>
                    <?php endif ?>
                </div>
				
                <div class="mt-3">
                    <table id="listTable" class="dataTable mb-table">
                        <thead>
                            <tr>
                                <th>錄影時間</th>
                                <th>課程名稱</th>
                                <th>授課講師</th>
                                <th>上課教室</th>
                                <th>功能</th>
                            </tr>
                        </thead>
                        <tbody>

			<?php

			include('mysql_connect.php');

			$result = $mysqli->query("SELECT * FROM make_up_class ORDER BY mkupcs_id DESC");
			
			$count = 1;

			while($rows = $result->fetch_assoc()){

				echo '<tr>
                                <td>
                                    <div class="th-label">錄影日期</div>
                                    '.$rows['video_time'].'
                                </td>
                                <td>
                                    <div class="th-label">課程名稱</div>
                                    '.$rows["classname"].'
                                </td>
                                <td>
                                    <div class="th-label">授課講師</div>
                                    '.$rows["teacher"].'
                                </td>
                                <td>
                                    <div class="th-label">上課教室</div>
                                    '.$rows["classroom"].'
                                </td>
                                <td>
                                    <a class="btn-sm btn-brown" href="video_player.php?mkupcs_id='.$rows['mkupcs_id'].'">播放</a>
                                    <a class="btn-sm btn-brown" href="video_edit.php?mkupcs_id='.$rows['mkupcs_id'].'">編輯</a> ';
									
									
									
									if($rows['upload'] == '1'){
										
										echo '<button disabled>已上傳</button>';
										
									}else{
										
										echo '<a class="btn-sm btn-brown file_tag" href="#" data-id="'.$rows['mkupcs_id'].'" data-date="'.$rows['video_time'].'" data-coursename="'.$rows['classname'].'" data-teacher="'.$rows['teacher'].'" data-target="'.$rows['fileName'].'">上傳</a> ';
										
									}
									
							
									
                                    echo '| <a class="btn-sm btn-danger" href="#deleteData'.$count.'" data-toggle="modal">刪除</a>
									
									<div class="modal fade" id="deleteData'.$count.'" tabindex="-1" role="dialog" aria-labelledby="deleteData'.$count.'Label">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h2 class="modal-title" id="deleteData'.$count.'Label">警告</h2>
      </div>
      <div class="modal-body">
        <p>您即將刪除 <strong class="text-error"><font color="red">'.$rows["classname"].'</font></strong> 課程影片!!</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
        <form method="GET" action="video_delete.php">
        <input type="hidden" name="mkupcs_id" value="'.$rows["mkupcs_id"].'">
        <input type="submit" class="btn btn-danger" value="確定刪除">
        </form>
      </div>
    </div>
  </div>
</div>
									
                                </td>
                            </tr>';

					$count++;

			}

			$mysqli->close();

			?>
                     </tbody>
                    </table>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2022 Zsystem</p>
        </footer>
    </div>
	
	
	<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">課程上傳</h5><br>
		<span style="color: red;">課程上傳中請勿關閉此視窗</span>
      </div>
      <div class="modal-body">
	  <div class="spinner-border text-primary" role="status">
  <span class="sr-only">Loading...</span>
</div>
        正在上傳: <span id="current_upload_name"></span>
		
      </div>

    </div>
  </div>
</div>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" ></script>

    <!-- data tables -->
    <script src="assets/datatables/datatables.min.js"></script>
    <script type="text/javascript">
	
	var file_tag_dom = undefined;
	
	var current_upload_name = undefined;
	
	var exampleModal = undefined;
	
        $(document).ready(function() {
			
			current_upload_name = document.getElementById('current_upload_name');

			exampleModal = $('#exampleModal');
			
            $('#listTable').DataTable({
                "searching": true,
                "paging": true,
                "ordering": false,
                "info": false,
                "pageLength": 10,
                "lengthChange": false,
                "language": {
                    "processing": "處理中...",
                    "loadingRecords": "載入中...",
                    "lengthMenu": "每頁顯示 _MENU_ 項結果",
                    "zeroRecords": "沒有符合的結果",
                    "info": "顯示第 _START_ 至 _END_ 項結果，共 _TOTAL_ 項",
                    "infoEmpty": "顯示第 0 至 0 項結果，共 0 項",
                    "infoFiltered": "(從 _MAX_ 項結果中過濾)",
                    "infoPostFix": "",
                    "search": "搜尋:",
                    "paginate": {
                        "first": "第一頁",
                        "previous": "<",
                        "next": ">",
                        "last": "最後一頁"
                    },
                }

            });
			
			file_tag_dom = document.querySelectorAll('.file_tag');

    for (var i = 0; i < file_tag_dom.length; i++) {

      file_tag_dom[i].addEventListener('click', e => {
		  
		  let formData = new FormData();
            formData.append('id', e.target.getAttribute('data-id'));
			formData.append('area', '0');
            formData.append('course_date', e.target.getAttribute('data-date'));
            formData.append('course_filename', e.target.getAttribute('data-target'));
            formData.append('course_teacher', e.target.getAttribute('data-teacher'));
			formData.append('course_name', e.target.getAttribute('data-coursename'));
		  

        current_upload_name.innerHTML = e.target.getAttribute('data-coursename');

        upload_video(e.target.getAttribute('data-id'),formData);

        exampleModal.modal('show');

      });


    }
			
			
        });
		
		const upload_video = (id,data) =>{
			
			let uploader = new XMLHttpRequest();

            uploader.addEventListener('readystatechange', () => {

                if (uploader.readyState == XMLHttpRequest.DONE) {

                    console.log(uploader.responseText);
                    if (uploader.responseText.includes('ok')) {

							exampleModal.modal('hide');
                            process_upload(id);
                         

                    }else{
						
						exampleModal.modal('hide');
						alert('上傳失敗!');
						
					}
						

                 
                }
            });
            uploader.open("POST", "file_upload.php", true);
            uploader.send(data);
			
			
		}
		
		
		const process_upload = (mkupcs_id) => {

			let uploader = new XMLHttpRequest();

			uploader.open('GET', 'process_upload.php?mkupcs_id=' + mkupcs_id, true);

			uploader.onreadystatechange = function () {
				if (uploader.readyState === 4) {
					location.reload();
				}
			};
			
			uploader.send();

};
		
    </script>

</body>

</html>
