<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>線上直錄播系統</title>
</head>


<style>

</style>

<body>
    <div id="container">

        <header>
            <?php include('menu_header.php'); ?>
        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>影片管理 - 影片回收站</p>
                </div>
                <div class="mt-3">
                    <table id="listTable" class="dataTable mb-table">
                        <thead>
                            <tr>
                                <th>錄影日期</th>
                                <th>課程名稱</th>
                                <th>授課講師</th>
                                <th>上課教室</th>
                                <th>功能</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>
                                    <div class="th-label">錄影日期</div>
                                    2021-09-01
                                </td>
                                <td>
                                    <div class="th-label">課程名稱</div>
                                    每週例會
                                </td>
                                <td>
                                    <div class="th-label">授課講師</div>
                                    好業績處經理
                                </td>
                                <td>
                                    <div class="th-label">上課教室</div>
                                    601教室
                                </td>
                                <td>
                                    <button class="btn-sm btn-brown">播放</button>
                                    <button class="btn-sm btn-brown">上傳回影片列表</button>
                                    <button class="btn-sm btn-brown">下載</button>
                                    <button class="btn-sm btn-brown">刪除</button>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="th-label">錄影日期</div>
                                    2021-09-01
                                </td>
                                <td>
                                    <div class="th-label">課程名稱</div>
                                    110年度秋季證照衝刺班
                                </td>
                                <td>
                                    <div class="th-label">授課講師</div>
                                    尤京彥培訓中心
                                </td>
                                <td>
                                    <div class="th-label">上課教室</div>
                                    601教室
                                </td>
                                <td>
                                    <button class="btn-sm btn-brown">播放</button>
                                    <button class="btn-sm btn-brown">上傳回影片列表</button>
                                    <button class="btn-sm btn-brown">下載</button>
                                    <button class="btn-sm btn-brown">刪除</button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2021 範例</p>
        </footer>
    </div>






    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.min.js" integrity="sha384-lpyLfhYuitXl2zRZ5Bn2fqnhNAKOAaM/0Kr9laMspuaMiZfGmfwRNFh8HlMy49eQ" crossorigin="anonymous"></script>

    <!-- data tables -->
    <script src="assets/datatables/datatables.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#listTable').DataTable({
                "searching": true,
                "paging": true,
                "ordering": false,
                "info": false,
                "pageLength": 10,
                "lengthChange": false,
                "language": {
                    "processing": "處理中...",
                    "loadingRecords": "載入中...",
                    "lengthMenu": "每頁顯示 _MENU_ 項結果",
                    "zeroRecords": "沒有符合的結果",
                    "info": "顯示第 _START_ 至 _END_ 項結果，共 _TOTAL_ 項",
                    "infoEmpty": "顯示第 0 至 0 項結果，共 0 項",
                    "infoFiltered": "(從 _MAX_ 項結果中過濾)",
                    "infoPostFix": "",
                    "search": "搜尋:",
                    "paginate": {
                        "first": "第一頁",
                        "previous": "<",
                        "next": ">",
                        "last": "最後一頁"
                    },
                }

            });
        });
    </script>

</body>

</html>